<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1">
	<title> Bootstrap Introduction & Simple Styles </title>
	
	<!-- <link rel="stylesheet"href="style.css" -->

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">


</head>
<body class="m-2">
 


	<!-- Colored Links and Texts -->
	
	<h1>Link Color</h1>
	<ul class="list-unstyled">
	<li>
		<a href="#" class="text-primary text-decoration-none">Link</a>
	</li>
	
	<li>
		<a href="#" class="text-secondary">Link</a>
	</li>
	
	<li>
		<a href="#" class="text-success">Link</a>
	</li>
	
	<li>
		<a href="#" class="text-warning">Link</a>
	</li>

	<li>
		<a href="#" class="text-danger">Link</a>
	</li>


	<li>
		<a href="#" class="text-dark">Link</a>
	</li>

	<li>
		<a href="#" class="text-info text-decoration-none">Link</a>
	</li>
	
</ul>

<p class=" text-primary">Lorem ipsum dolor sit amet <span class="text-danger">consectetur</span> adipisicing elit. Repellat laborum ipsa inventore quasi quam. Enim blanditiis nihil quae, corrupti aspernatur, odio quidem ea, vel quos dolorum nisi, quibusdam fugit. Mollitia.

	<!-- Background Color -->
	
	<h1>Background Color</h1>
	<div class="bg-primary text-white">primary</div>
	<div class="bg-secondary text-white">secondary</div>
	<div class="bg-success text-white">success</div>
	<div class="bg-warning text-danger">success</div>
	<div class="bg-danger text-warning">success</div>
	<div class="bg-dark text-warning">dark</div>
	<div class="bg-info text-white">info</div>
	

	<!-- Text Allignment -->
	
	<h1> Text Allignment</h1>
	<p class="text-center m-5">Lorem ipsum dolor sit amet consectetur adipisicing, elit. At ea corrupti consequatur eius eveniet voluptatum inventore labore tempore aliquam, sunt quam magnam eum vitae repudiandae excepturi perspiciatis earum. Quae, ullam.
	</p>

	<p class="text-justify m-5">Lorem ipsum, dolor sit amet consectetur, adipisicing elit. Tempore veritatis temporibus natus accusantium soluta, aperiam pariatur maxime asperiores consequatur, iste placeat, possimus ducimus voluptatem ipsa sed repellendus explicabo ex quisquam.
		
	</p>
	
 	<p class="text-left">Left Text</p>
 	<p class="text-right">Right Text</p>
 	<p class="text-center">Center Text</p>

 	<span class="text-left">Span Left Text</span>
 	<span class="text-right">Span Right Text</span>
 	<span class="text-center">Span Center Text</span>


 	<!-- Text Transform -->
 	
 	<h1>Text Transform</h1>
 	<p class="text-uppercase">this will be transformed to uppercase</p>
 	<p class="text-lowercase">THIS WILL BE TRANSFORMED TO LOWERCASE</p>
 	<p class="text-capitalize">this will be transformed to uppercase</p>


	<!-- Font Weight & Italics -->
	
	<h1>Font Weight & Italics</h1>
	<p class="font-weight-bold">Bold Weight</p>
	<p class="font-weight-normal">Normal Weight</p>
	<p class="font-weight-light">Light Weight</p>
	<p class="font-italic">Italic Text</p>


		<!-- Borders -->
	
	<h1>Border</h1>
	<img src="https://via.placeholder.com/75x75" class="border p-2 m-2">
	<img src="https://via.placeholder.com/75x75" class="border-top p-2 m-2">
	<img src="https://via.placeholder.com/75x75" class="border-bottom p-2 m-2">
	<img src="https://via.placeholder.com/75x75" class="border-left p-2 m-2">
	<img src="https://via.placeholder.com/75x75" class="border-right p-2 m-2">



	<h1>Subtract or Remove Border</h1>
	<img src="https://via.placeholder.com/75x75" class="border-0 p-2 m-2">
	
	<img src="https://via.placeholder.com/75x75" class=" border border-top-0 p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-top-0 border-bottom-0 p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border-left p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class=" border-right p-2 m-2">



	<h1>Border Colors</h1>
	<img src="https://via.placeholder.com/75x75" class="border border-primary p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-secondary p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-dark p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-success p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-warning  p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-info  p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-danger border-left-0 border-right-0  p-2 m-2">


	<!-- Border Radius -->
	
	<h1>Border Radius</h1>
	<img src="https://via.placeholder.com/75x75" class="border border-primary rounded p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-secondary rounded-top p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-dark rounded-bottom p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-success rounded-left p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-warning rounded-circle  p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-info  p-2 m-2">

	<img src="https://via.placeholder.com/75x75" class="border border-danger border-left-0 border-right-0  p-2 m-2">

	


	<!-- Display -->
	
	<h1>Display</h1>
	<div class="bg-primary p-2 border d-inline">inline element</div>

	<span class="bg-warning p-2 border d-block">block element</span>
	
	<span class="bg-secondary p-2 border d-inline-block">inline-block element</span>


	<!--Sizing -->
	
	<h1>Sizing: Width</h1>
	<div class="bg-primary p-2 m-2 border w-25">25%</div>
	
	<div class="bg-secondary p-2 m-2 border w-50">50%</div>
	
	<div class="bg-warning p-2 m-2 border w-75">75%</div>
	
	<div class="bg-success p-2 m-2 border w-100">100%</div>
	
	<div class="bg-danger p-2 m-2 border w-auto">auto</div>
	
	<!-- sizing  -->
	<h1>Sizing: Height</h1>
	<div class="m-2 p-2 border border-dark" style="height: 300px;">
		
		<div class="bg-primary p-2 m-2 border d-inline-block h-25 w-25 text-center font-weight-bold text-white" >25%</div>
		
		<div class="bg-secondary p-2 m-2 border d-inline-block h-50 w-25 text-center font-weight-bold text-white ">50%</div>
		
		<div class="bg-warning p-2 m-2 border d-inline-block h-75 w-25 text-center font-weight-bold text-white ">75%</div>
		
		<div class="bg-success p-2 m-2 border d-inline-block h-100 w-25 text-center font-weight-bold text-white  ">100%</div>
		
		<div class="bg-danger p-2 m-2 border d-inline-block h-auto w-25 text-center font-weight-bold text-white ">auto</div>
		

	</div>


	<!-- Spacing -->
	<h1>Spacing</h1>
	
	<p class="border border-primary mt-5 mb-0"> Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptas autem officiis cumque aliquid possimus est eveniet quaerat facere aspernatur temporibus a, rem vitae earum cupiditate at modi eum, expedita similique?</p>

	
	<p class="border border-success mx-3">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Repellendus nihil id eveniet blanditiis sint deleniti maxime, corporis minima ratione ipsa consequatur quae culpa velit dolorem omnis saepe, exercitationem odio dolores.</p> 


	<p class="border border-danger py-4">Lorem, ipsum dolor sit amet consectetur adipisicing, elit. Voluptates debitis, itaque eum explicabo, molestiae fuga, non omnis quibusdam doloremque suscipit dolores temporibus sit magni perspiciatis nobis quia assumenda quam dicta!</p>


	<p class="border border-warning px-1">Lorem ipsum dolor, sit, amet consectetur adipisicing elit. Nisi natus alias facere, modi omnis minus quia at laborum quod ut beatae deserunt hic itaque sunt sit deleniti fugiat quidem. Illum.</p>


	<p class="border border-info m-5 p-3 p">Lorem, ipsum dolor sit amet consectetur adipisicing elit. Debitis fugit atque nostrum pariatur amet ea rem, velit? Eum sed unde laudantium, voluptatem distinctio voluptas, nihil quam ullam aliquam eligendi ea.</p>













</body>
</html>